Loading...
Searching...
No Matches
Opm::data::TypeSpecificData Class Reference

## Public Member Functions

| TypeSpecificData (const TypeSpecificData &)=default
| TypeSpecificData (TypeSpecificData &&)=default
TypeSpecificData & | operator= (const TypeSpecificData &)=default
TypeSpecificData & | operator= (TypeSpecificData &&)=default
bool | operator== (const TypeSpecificData &that) const
template<AquiferType t>
auto * | create ()
template<AquiferType t>
bool | is () const
template<AquiferType t>
auto const * | get () const
template<AquiferType t>
auto * | getMutable ()
template<typename MessageBufferType>
void | write (MessageBufferType &buffer) const
template<typename MessageBufferType>
void | read (MessageBufferType &buffer)
template<class Serializer>
void | serializeOp (Serializer &serializer)

The documentation for this class was generated from the following files:

- opm/output/data/Aquifer.hpp
- opm/output/data/Aquifer.cpp